curl --request PUT \
--url https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"delivery": {
"kind": "webhook",
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
}
},
"displayName": "example",
"type": "slack_events_api"
}
'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId}"
payload = {
"delivery": {
"kind": "webhook",
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
}
},
"displayName": "example",
"type": "slack_events_api"
}
headers = {
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
delivery: {
kind: 'webhook',
verificationCredential: {
credentialId: '9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d',
vaultId: '9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d'
}
},
displayName: 'example',
type: 'slack_events_api'
})
};
fetch('https://api.recursion.labelbox.com/managed-agents/v1/event-sources/{eventSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-02-18T09:30:00.000Z",
"delivery": {
"kind": "webhook",
"verification": {
"signatureHeader": "example",
"signaturePrefix": "example",
"signedParts": [
{
"kind": "body"
}
],
"type": "none",
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
}
},
"verificationCredential": {
"credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d"
},
"webhookUrl": "example"
},
"displayName": "example",
"eventSourceId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d",
"revision": 1,
"status": "paused",
"type": "slack_events_api",
"updatedAt": "2026-02-18T09:30:00.000Z"
}{
"code": "invalid_request",
"message": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"details": {}
}{
"code": "forbidden",
"message": "<string>",
"details": {}
}{
"code": "not_found",
"message": "<string>",
"details": {}
}{
"code": "conflict",
"message": "<string>",
"details": {}
}{
"code": "precondition_failed",
"message": "<string>",
"details": {}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {}
}{
"code": "unsupported_media_type",
"message": "<string>",
"details": {}
}{
"code": "semantic_validation_failed",
"message": "<string>",
"details": {}
}{
"code": "precondition_required",
"message": "<string>",
"details": {}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {}
}{
"code": "internal_error",
"message": "<string>",
"details": {}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {}
}Replace an event source configuration
Replaces the complete writable webhook configuration while preserving lifecycle state. Connection-managed sources cannot be replaced. Requires the latest strong ETag in If-Match.
Authorizations
A Recursion API key, created in the console under API keys.
Headers
Strong ETag returned by the latest event-source member read.
Path Parameters
Stable event-source identifier.
Body
- Option 1
- Option 2
- Option 3
- Option 4
Closed configuration for a Slack Events API source.
Customer-configured webhook delivery and verification.
Show child attributes
Show child attributes
{ "kind": "webhook", "verificationCredential": { "credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d", "vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d" } }
Human-readable source name shown in the automation catalog.
1 - 256Slack Events API protocol, verified with Slack's request signature.
slack_events_api Response
Configured inbound event source, including its verification policy and lifecycle state.
Configured inbound event source, including its verification policy and lifecycle state.
Time the event source was created.
Customer-owned webhook endpoint and its non-secret verification configuration.
- Option 1
- Option 2
Show child attributes
Show child attributes
{ "kind": "webhook", "verification": { "signatureHeader": "example", "signaturePrefix": "example", "signedParts": [{ "kind": "body" }], "type": "none", "verificationCredential": { "credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d", "vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d" } }, "verificationCredential": { "credentialId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d", "vaultId": "9f8b1c2d-3e4f-5a6b-7c8d-9e0f1a2b3c4d" }, "webhookUrl": "example" }
Human-readable source name shown in the automation catalog.
Stable identifier for the event source.
Monotonic revision represented by the response ETag.
x >= 1Lifecycle state. Custom webhook sources start paused; connection-managed sources start active.
paused, active Inbound provider protocol interpreted by this source.
slack_events_api, github_webhook, custom_webhook Time the event source was last changed.